function x = primal_dual(A, y, ProxF_conj, ProxG, Cal_Primal_Dual_Gap)
    [m, N] = size(A);
    sigma_max = norm(A);
    A = A/(sigma_max^2);
    y = y/(sigma_max^2);
    tau = 1/2;
    sigma = 1/2;
    cita = 1;
    x = A'*y;
    x_iter_hat = A'*y;
    xi = zeros(m, 1);
    primal_dual_gap = Cal_Primal_Dual_Gap(x, xi, y);
    while abs(primal_dual_gap) > 10^(-5)
        xi = ProxF_conj(xi+sigma*A*x_iter_hat, sigma, y);
        temp = ProxG(x-tau*A'*xi, tau);
        x_iter_hat = temp + cita*(temp-x);
        x = temp;
        primal_dual_gap = Cal_Primal_Dual_Gap(x, xi, y);
    end
end
